#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private SwisetNT[] cacheSwisetNT;

		
		public SwisetNT SwisetNT(string automationToken)
		{
			return SwisetNT(Input, automationToken);
		}


		
		public SwisetNT SwisetNT(ISeries<double> input, string automationToken)
		{
			if (cacheSwisetNT != null)
				for (int idx = 0; idx < cacheSwisetNT.Length; idx++)
					if (cacheSwisetNT[idx].AutomationToken == automationToken && cacheSwisetNT[idx].EqualsInput(input))
						return cacheSwisetNT[idx];
			return CacheIndicator<SwisetNT>(new SwisetNT(){ AutomationToken = automationToken }, input, ref cacheSwisetNT);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.SwisetNT SwisetNT(string automationToken)
		{
			return indicator.SwisetNT(Input, automationToken);
		}


		
		public Indicators.SwisetNT SwisetNT(ISeries<double> input , string automationToken)
		{
			return indicator.SwisetNT(input, automationToken);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.SwisetNT SwisetNT(string automationToken)
		{
			return indicator.SwisetNT(Input, automationToken);
		}


		
		public Indicators.SwisetNT SwisetNT(ISeries<double> input , string automationToken)
		{
			return indicator.SwisetNT(input, automationToken);
		}

	}
}

#endregion
